
/*
 * sentryd.h
 */
#ifndef K
#define K(x)        ((x)*1024L)
#endif
#ifndef M
#define M(x)        ((x)*1024L*1024L)
#endif
#ifndef TOK
#define TOK(x)      ((x)/1024L)
#endif
#ifndef TOM
#define TOM(x)      ((x)/(1024L*1024L))
#endif
#ifndef MAX
#define MAX(x,y)        (x)>(y)? (x): (y)
#endif


/*
 *
 */
#define QOS_PARAMS  (5)

#define QOS_SIZE    (0)
#define QOS_ZOOM    (1)
#define QOS_COLOR   (2)
#define QOS_FORMAT  (3)
#define QOS_RATE    (4)

extern apair_t qos_attr_alist[];
extern apair_t qos_desc_alist[];



#define CHK_QOS_TYPE(x)     ((x)>=0 && (x)<QOS_PARAMS ? 1: 0)
#define GET_QOS(x)          CHK_QOS_TYPE(x) ? req_val.attr.val[x]: -1
#define SET_QOS(x,y)        CHK_QOS_TYPE(x) ? req_val.attr.val[x]=y: 0
#define CHK_CHANGE_FLAG(x)  \
                CHK_QOS_TYPE(x) ? req_val.change_flag & (0x01<<x): 0
#define CLR_CHANGE_FLAG(x)  \
                CHK_QOS_TYPE(x) ? req_val.change_flag &= (0x01 << x): 0

#if 0
typedef struct {
  union {
    int val[QOS_PARAMS];
    struct {
      int size;
      int zoom;
      int color;
      int format;
      int rate;
    } qos_val;
  } attr;
  u_char change_flag;
} _req_val;
#endif

typedef struct {
  union {
    int32_t     val[QOS_PARAMS];
    struct {
      int32_t   size;
      int32_t   zoom;
      int32_t   color;
      int32_t   format;
      int32_t   rate;
    } qos_val;
  } attr;
  uint8_t       change_flag;
} _req_val;


extern int capture_format;
extern int capture_corder;
