/*==
 ==*/
/*
 * smisc.c - string misc. procedures
 */

#include <stdio.h>

int
chomp(char *line)
{
    char *p;
    if(line==NULL)
        return -1;
    p = line;
    while(*p) {
        if(*p=='\r'||*p=='\n') {
            *p='\0';
            return 0;
        }
        p++;
    }
    return 1;
}

int
count_whitesplitted_list(char *cl)
{
    int c;
    char *p;

    c = 0;
    p = cl;
    while(*p) {
        while(*p && (*p==' ' || *p=='\t' || *p=='\r' || *p=='\n')) {
            p++;
        }
        if(*p && !(*p==' ' || *p=='\t' || *p=='\r' || *p=='\n')) {
            c++;
            while(*p && !(*p==' ' || *p=='\t' || *p=='\r' || *p=='\n')) {
                p++;
            }
        }
    }

    return c;
}

int
count_commasplitted_list(char *cl)
{
    int c;
    char *p;

    c = 0;
    p = cl;
    while(*p) {
        while(*p && (*p==',' || *p=='\r' || *p=='\n')) {
            p++;
        }
        if(*p && !(*p==',' || *p=='\r' || *p=='\n')) {
            c++;
            while(*p && !(*p==',' || *p=='\r' || *p=='\n')) {
                p++;
            }
        }
    }

    return c;
}

int
split_colonedpair(char *src, char *head, char *tail)
{
    char *p, *q;
    int c;
    
    if(src==NULL) {
        return -1;
    }

    p = src;

    c = 0;
    q = head;
    while(*p && c<BUFSIZ && *p!=':') {
        *q++ = *p++;
        c++;
    }
    *q = '\0';

    if(*p!=':') {
        *tail = '\0';
        return 1;
    }
    p++;

    c = 0;
    q = tail;
    while(*p && c<BUFSIZ && *p!=':') {
        *q++ = *p++;
        c++;
    }
    *q = '\0';

out:
    return 0;
}



