/*
 *  LwwP.h - Private definitions for Lww widget
 *
 */

#ifndef _LwwP_h
#define _LwwP_h

#include "Lww.h"
#include <X11/Xaw/SimpleP.h>

/*****************************************************************************
 *
 * Lww Widget Private Data
 *
 *****************************************************************************/

/* New fields for the Lww widget class record */
typedef struct {int empty;} LwwClassPart;

/* Full Class record declaration */
typedef struct _LwwClassRec {
    CoreClassPart    core_class;
    SimpleClassPart  simple_class;
    LwwClassPart    lww_class;
} LwwClassRec;

extern LwwClassRec lwwClassRec;

/* New fields for the Lww widget record */
typedef struct {
  Visual *visual;
  XtCallbackList lww_action;
} LwwPart;

/*****************************************************************************
 *
 * Full instance record declaration
 *
 ****************************************************************************/

typedef struct _LwwRec {
   CorePart    core;
   SimplePart  simple;
   LwwPart    lww;
} LwwRec;

#endif /* _LwwP_h */

